Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 721792

Summary: dev-lang/duktape calls cc directly ( gcc: No such file or directory )
Product: Gentoo Linux Reporter: Agostino Sarubbo <ago>
Component: Current packagesAssignee: Ian Whyman (thev00d00) <thev00d00>
Status: RESOLVED FIXED    
Severity: normal CC: kentnl
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 243502    
Attachments: build.log

Description Agostino Sarubbo gentoo-dev 2020-05-09 07:25:18 UTC
This is an auto-filled bug because dev-lang/duktape calls cc directly.
The issue was originally discovered on amd64, but it may be reproducible on other arches as well.
If you think that a different summary clarifies the issue better, feel free to change it.
Attached build log and emerge --info.

NOTE:
If you think it doesn't make sense fix these type of issues, I'd like to point out that won't be possible use a different CC implementation (like clang) by setting the CC variable. So this issue has been reproduced by setting the CC variable to x86_64-pc-linux-gnu-gcc and by removing the /usr/bin/cc - /usr/bin/gcc binaries.
Comment 1 Agostino Sarubbo gentoo-dev 2020-05-09 07:25:27 UTC
Created attachment 636930 [details]
build.log

build log and emerge --info
Comment 2 Kent Fredric (IRC: kent\n) (RETIRED) gentoo-dev 2020-05-29 02:23:54 UTC
Raw failure context:

>>> Source configured.
 * [bashrc] Increasing core limit to unlimited
 * [bashrc] PATH: /usr/lib/ccache/bin:/usr/lib/portage/python3.7/ebuild-helpers/xattr:/usr/lib/portage/python3.7/ebuild-helpers:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/opt/bin:/usr/lib/llvm/10/bin:/usr/lib/llvm/9/bin
>>> Compiling source in /var/tmp/portage/dev-lang/duktape-2.4.0/work/duktape-2.4.0 ...
make -j3 --load-average=4 
gcc -shared -fPIC -Wall -Wextra -Os -Wl,-soname,libduktape.so.204 \
        -o libduktape.so.204.20400 ./src/duktape.c
make: gcc: No such file or directory
make: *** [Makefile:65: libduktape.so.204.20400] Error 127
Comment 3 Kent Fredric (IRC: kent\n) (RETIRED) gentoo-dev 2020-06-23 13:55:35 UTC
This fix seems sufficient:

diff --git a/dev-lang/duktape/duktape-2.4.0.ebuild b/dev-lang/duktape/duktape-2.4.0.ebuild
index 40429cd2db27..2ee058db8b0c 100644
--- a/dev-lang/duktape/duktape-2.4.0.ebuild
+++ b/dev-lang/duktape/duktape-2.4.0.ebuild
@@ -3,6 +3,8 @@
 
 EAPI=6
 
+inherit toolchain-funcs
+
 DESCRIPTION="Embeddable Javascript engine"
 HOMEPAGE="https://duktape.org"
 SRC_URI="https://duktape.org/${P}.tar.xz"
@@ -32,6 +34,9 @@ src_prepare() {
 
        mv Makefile.sharedlibrary Makefile || die "failed to rename makefile"
 }
+src_compile() {
+       emake CC="$(tc-getCC)"
+}
 
 src_install() {
        dodir /usr/$(get_libdir)
Comment 4 Larry the Git Cow gentoo-dev 2020-06-27 10:07:22 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=de63736b4534e0b72f620ab5ce64e6f199cd1cb2

commit de63736b4534e0b72f620ab5ce64e6f199cd1cb2
Author:     Ian Whyman <thev00d00@gentoo.org>
AuthorDate: 2020-06-27 10:06:36 +0000
Commit:     Ian Whyman <thev00d00@gentoo.org>
CommitDate: 2020-06-27 10:07:17 +0000

    dev-lang/duktape: Version bump, add arch, respect CC
    
    Closes: https://bugs.gentoo.org/721792
    Closes: https://bugs.gentoo.org/727864
    Closes: https://bugs.gentoo.org/728592
    Package-Manager: Portage-2.3.103, Repoman-2.3.23
    Signed-off-by: Ian Whyman <thev00d00@gentoo.org>

 dev-lang/duktape/Manifest                                  |  2 +-
 .../duktape/{duktape-2.2.1.ebuild => duktape-2.5.0.ebuild} | 14 ++++++++++----
 2 files changed, 11 insertions(+), 5 deletions(-)